System [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.3300.0 1.0.5000.0 2.0.0.0 4.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Collections.CollectionBase To be added

Defines a collection that stores objects.

- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  To be added

  Initializes a new instance of the class.

- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  To be added

  Initializes a new instance of the class from an array of objects.

  The array of objects with which to initialize the new object.
- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  To be added

  Initializes a new instance of the class from another .

  The with which to initialize the new object.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Int32 `` To be added

  Adds an with the specified value to the current .

  The index into the current at which the new was inserted.

  The to add to the current .
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` To be added

  Copies the elements of an array of type to the end of the current .

  The array of type containing the objects to add to the current .
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` To be added

  Copies the elements of the specified to the end of the current .

  The containing the objects to add to the collection.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean `` To be added

  Gets a value indicating whether the current contains the specified .

  true if the is contained in this collection; otherwise, false.

  The to locate.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` `` To be added

  Copies the values in the current to a one-dimensional instance at the specified index.

  The one-dimensional that is the destination of the values copied from . The index into to begin copying.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Security.Cryptography.X509Certificates.X509CertificateCollection+X509CertificateEnumerator To be added

  Returns an enumerator that can iterate through the .

  An enumerator of the subelements of you can use to iterate through the collection.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Int32 To be added

  Builds a hash value based on all values contained in the current .

  A hash value based on all values contained in the current .

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Int32 `` To be added

  Returns the index of the specified in the current .

  The index of the specified by the parameter in the , if found; otherwise, -1.

  The to locate.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` `` To be added

  Inserts a into the current at the specified index.

  The zero-based index where should be inserted. The to insert.
- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Security.Cryptography.X509Certificates.X509Certificate `` To be added: an object of type 'int' To be added To be added: an object of type 'X509Certificate' To be added
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` To be added

  Removes a specific from the current .

  The to remove from the current .